Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 235209 - Remove the rhnLocation and rhnPackageLocation tables
Summary: Remove the rhnLocation and rhnPackageLocation tables
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Other
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bryan Kearney
QA Contact: John Sanda
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-04 15:20 UTC by James Bowes
Modified: 2013-01-10 09:52 UTC (History)
2 users (show)

Fixed In Version: 5.0.2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-07-25 18:46:26 UTC


Attachments (Terms of Use)

Description James Bowes 2007-04-04 15:20:30 UTC
These two tables (and their associated grants and synonyms) are empty and
unused; they should be removed.

Comment 1 James Bowes 2007-06-19 14:33:49 UTC
There are two parts to testing:
- Look in the db and ensure that these tables are gone.
- Make sure that the code which used these tables still works
  * The key parts to this are downloading rpms, so for best coverage:
    + register a rhel 4 system, install rpms with up2date
    + register a rhel 5 system, install rpms with yum

Comment 2 John Sanda 2007-06-20 18:33:05 UTC
There are references to both rhnLocation and rhnPackageLocation in the java code
base. ChannelManager.listDownloadImages calls a query that references
rhnLocation. rhnPackageLocation is referenced in Package_queries.xml, but it
looks like it may be dead code.

On the perl side, looks like rhnLocation is referenced in
web/modules/rhn/RHN/DB/DataSource/xml/Channel_queries.xml. Not sure though if
and where it is used.

Comment 3 James Bowes 2007-06-20 20:18:31 UTC
All of it was dead code. awesome.

Comment 4 John Sanda 2007-06-21 21:00:24 UTC
Neither rhnLocation nor rhnPackageLocation exist in the rhn database schemas in
webqa.

I was able to install rpms on a rhel 5 system using yum.
I was able to install rpms on a rhel 4 system using up2date.

Grepping through the code base....
* Did not find any references to rhnLocation or rhnPackageLocation in the java tree.
* I found a few references in the schema tree. Just looks like table, synonym,
and grant declarations. They should not cause any problems, but we probably
ought to remove them from the source tree.
* Did not find any references to rhnLocation or rhnPackageLocation in the web tree.

Comment 5 John Sanda 2007-07-23 18:52:01 UTC
Verified in stage.

Comment 6 James Bowes 2007-07-25 15:18:45 UTC
rhn502 released.


Note You need to log in before you can comment on or make changes to this bug.